Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 599106 - x11-wm/mutter-3.22.1: unittests not running correctly with llvm-3.9
Summary: x11-wm/mutter-3.22.1: unittests not running correctly with llvm-3.9
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: LLVM support project
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: gnome-3.22
  Show dependency tree
 
Reported: 2016-11-07 08:04 UTC by Gilles Dartiguelongue
Modified: 2017-08-31 07:24 UTC (History)
1 user (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
actor-pick backtrace with clang/llvm 3.8 (mutter-clang-3.8.log,9.54 KB, text/plain)
2016-11-07 08:05 UTC, Gilles Dartiguelongue
Details
actor-pick backtrace with clang/llvm 3.9 (mutter-clang-3.9.log,9.59 KB, text/plain)
2016-11-07 08:06 UTC, Gilles Dartiguelongue
Details
mutter 3.22.1 build.log (mutter-3.22.1-build.log,88.07 KB, text/x-log)
2016-11-07 08:08 UTC, Gilles Dartiguelongue
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Gilles Dartiguelongue gentoo-dev 2016-11-07 08:04:44 UTC
While bumping packages to Gnome 3.22, I encountered several unittests failures that ended up kill Xvfb and writing llvm error message on the command line.

In this example, I used mutter-3.22 which ships clutter and cogl.

Using sys-devel/clang-3.9.0-r100, sys-devel/llvm-3.9.0-r1 with either of media-libs/mesa-12.0.3, media-libs/mesa-13.0.0_rc2 or media-libs/mesa-13.0.0, I get:

make[6] : on entre dans le répertoire « /var/tmp/portage/portage/x11-wm/mutter-3.22.1/work/mutter-3.22.1/clutter/tests/conform »
PASS: actor-anchors 1 /actor/transforms/anchor-point
PASS: actor-anchors 2 /actor/transforms/pivot-point
: CommandLine Error: Option 'asan-instrument-assembly' registered more than once!
LLVM ERROR: inconsistency in registered CommandLine options
ERROR: actor-destroy - missing test plan
ERROR: actor-destroy - exited with status 134 (terminated by signal 6?)
ERROR: actor-graph - missing test plan
ERROR: actor-graph - exited with status 134 (terminated by signal 6?)
ERROR: actor-invariants - missing test plan
ERROR: actor-invariants - exited with status 134 (terminated by signal 6?)
ERROR: actor-iter - missing test plan
ERROR: actor-iter - exited with status 134 (terminated by signal 6?)
ERROR: actor-layout - missing test plan
ERROR: actor-layout - exited with status 134 (terminated by signal 6?)
ERROR: actor-meta - missing test plan
ERROR: actor-meta - exited with status 134 (terminated by signal 6?)
ERROR: actor-offscreen-limit-max-size - missing test plan
ERROR: actor-offscreen-limit-max-size - exited with status 134 (terminated by signal 6?)
ERROR: actor-offscreen-redirect - missing test plan
ERROR: actor-offscreen-redirect - exited with status 134 (terminated by signal 6?)
ERROR: actor-paint-opacity - missing test plan
ERROR: actor-paint-opacity - exited with status 134 (terminated by signal 6?)
ERROR: actor-pick - missing test plan
ERROR: actor-pick - exited with status 134 (terminated by signal 6?)
ERROR: actor-shader-effect - missing test plan
ERROR: actor-shader-effect - exited with status 134 (terminated by signal 6?)
ERROR: actor-size - missing test plan
ERROR: actor-size - exited with status 134 (terminated by signal 6?)
ERROR: binding-pool - missing test plan
ERROR: binding-pool - exited with status 134 (terminated by signal 6?)
ERROR: color - missing test plan
ERROR: color - exited with status 134 (terminated by signal 6?)
ERROR: events-touch - missing test plan
ERROR: events-touch - exited with status 134 (terminated by signal 6?)
ERROR: interval - missing test plan
ERROR: interval - exited with status 134 (terminated by signal 6?)
ERROR: model - missing test plan
ERROR: model - exited with status 134 (terminated by signal 6?)
ERROR: script-parser - missing test plan
ERROR: script-parser - exited with status 134 (terminated by signal 6?)
ERROR: units - missing test plan
ERROR: units - exited with status 134 (terminated by signal 6?)
ERROR: text - missing test plan
ERROR: text - exited with status 134 (terminated by signal 6?)
ERROR: animator - missing test plan
ERROR: animator - exited with status 134 (terminated by signal 6?)
ERROR: behaviours - missing test plan
ERROR: behaviours - exited with status 134 (terminated by signal 6?)
ERROR: group - missing test plan
ERROR: group - exited with status 134 (terminated by signal 6?)
ERROR: rectangle - missing test plan
ERROR: rectangle - exited with status 134 (terminated by signal 6?)
ERROR: texture - missing test plan
ERROR: texture - exited with status 134 (terminated by signal 6?)
============================================================================
Testsuite summary for clutter 1.26.1
============================================================================
# TOTAL: 52
# PASS:  2
# SKIP:  0
# XFAIL: 0
# FAIL:  0
# XPASS: 0
# ERROR: 50
============================================================================
See tests/conform/test-suite.log
Please report to http://bugzilla.gnome.org/enter_bug.cgi?product=clutter
============================================================================

With sys-devel/clang-3.8.1-r100, sys-devel/llvm-3.8.1-r2 and either of media-libs/mesa-12.0.3 or media-libs/mesa-13.0.0, two unittests do not pass only :

[...]
make[6]: Entering directory '/var/tmp/portage/portage/x11-wm/mutter-3.22.1/work/mutter-3.22.1/clutter/tests/conform'
PASS: actor-anchors 1 /actor/transforms/anchor-point
PASS: actor-anchors 2 /actor/transforms/pivot-point
PASS: actor-destroy 1 /actor/destruction
PASS: actor-graph 1 /actor/graph/add-child
PASS: actor-graph 2 /actor/graph/insert-child
PASS: actor-graph 3 /actor/graph/remove-child
PASS: actor-graph 4 /actor/graph/raise-child
PASS: actor-graph 5 /actor/graph/lower-child
PASS: actor-graph 6 /actor/graph/replace-child
PASS: actor-graph 7 /actor/graph/remove-all
PASS: actor-graph 8 /actor/graph/container-signals
PASS: actor-graph 9 /actor/graph/contains
PASS: actor-invariants 1 /actor/invariants/initial-state
PASS: actor-invariants 2 /actor/invariants/show-not-parented
PASS: actor-invariants 3 /actor/invariants/realized
PASS: actor-invariants 4 /actor/invariants/mapped
PASS: actor-invariants 5 /actor/invariants/visibility-not-recursive
PASS: actor-invariants 6 /actor/invariants/realize-not-recursive
PASS: actor-invariants 7 /actor/invariants/map-recursive
PASS: actor-invariants 8 /actor/invariants/show-on-set-parent
PASS: actor-invariants 9 /actor/invariants/clone-no-map
PASS: actor-invariants 10 /actor/invariants/default-stage
PASS: actor-iter 1 /actor/iter/traverse-children
PASS: actor-iter 2 /actor/iter/traverse-remove
PASS: actor-iter 3 /actor/iter/assignment
PASS: actor-layout 1 /actor/layout/basic
PASS: actor-layout 2 /actor/layout/margin
PASS: actor-meta 1 /actor/meta/clear
PASS: actor-offscreen-limit-max-size 1 /actor/offscreen/limit-max-size
PASS: actor-offscreen-redirect 1 /actor/offscreen/redirect
PASS: actor-paint-opacity 1 /actor/opacity/text
PASS: actor-paint-opacity 2 /actor/opacity/rectangle
PASS: actor-paint-opacity 3 /actor/opacity/paint
ERROR: actor-pick - too few tests run (expected 1, got 0)
ERROR: actor-pick - exited with status 134 (terminated by signal 6?)
PASS: actor-shader-effect 1 /actor/shader-effect
PASS: actor-size 1 /actor/size/preferred
PASS: actor-size 2 /actor/size/fixed
PASS: binding-pool 1 /binding-pool
PASS: color 1 /color/hls-roundtrip
PASS: color 2 /color/to-string
PASS: color 3 /color/operators
PASS: color 4 /color/from-string/invalid
PASS: color 5 /color/from-string/valid
PASS: events-touch 1 /events/touch
PASS: interval 1 /interval/initial-state
PASS: interval 2 /interval/transform
PASS: interval 3 /interval/from-script
PASS: model 1 /list-model/populate
PASS: model 2 /list-model/iterate
PASS: model 3 /list-model/filter
PASS: model 4 /list-model/row-changed
PASS: model 5 /list-model/from-script
PASS: script-parser 1 /script/single-object
PASS: script-parser 2 /script/container-child
PASS: script-parser 3 /script/named-object
PASS: script-parser 4 /script/animation
PASS: script-parser 5 /script/implicit-alpha
PASS: script-parser 6 /script/object-property
PASS: script-parser 7 /script/layout-property
PASS: script-parser 8 /script/actor-margin
PASS: units 1 /units/string
PASS: units 2 /units/cache
PASS: units 3 /units/constructors
PASS: text 1 /text/utf8-validation
PASS: text 2 /text/set-empty
PASS: text 3 /text/set-text
PASS: text 4 /text/append-some
PASS: text 5 /text/prepend-some
PASS: text 6 /text/insert
PASS: text 7 /text/delete-chars
PASS: text 8 /text/get-chars
PASS: text 9 /text/delete-text
PASS: text 10 /text/password-char
PASS: text 11 /text/cursor
PASS: text 12 /text/event
PASS: text 13 /text/idempotent-use-markup
PASS: animator 1 /script/animator/base
PASS: animator 2 /script/animator/properties
PASS: animator 3 /script/animator/multi-properties
PASS: behaviours 1 /behaviours/opacity
PASS: group 1 /group/depth-sorting
PASS: rectangle 1 /rectangle/set-size
PASS: rectangle 2 /rectangle/set-color
PASS: texture 1 /texture/pick-with-alpha
============================================================================
Testsuite summary for clutter 1.26.1
============================================================================
# TOTAL: 85
# PASS:  83
# SKIP:  0
# XFAIL: 0
# FAIL:  0
# XPASS: 0
# ERROR: 2
============================================================================
See tests/conform/test-suite.log
Please report to http://bugzilla.gnome.org/enter_bug.cgi?product=clutter
============================================================================
Comment 1 Gilles Dartiguelongue gentoo-dev 2016-11-07 08:05:27 UTC
Created attachment 452562 [details]
actor-pick backtrace with clang/llvm 3.8
Comment 2 Gilles Dartiguelongue gentoo-dev 2016-11-07 08:06:02 UTC
Created attachment 452564 [details]
actor-pick backtrace with clang/llvm 3.9
Comment 3 Gilles Dartiguelongue gentoo-dev 2016-11-07 08:07:19 UTC
# emerge --info clang llvm
Portage 2.3.2 (python 3.4.5-final-0, hardened/linux/amd64, gcc-5.4.0, glibc-2.23-r2, 4.8.3-gentoo x86_64)
=================================================================
                         System Settings
=================================================================
System uname: Linux-4.8.3-gentoo-x86_64-Intel-R-_Core-TM-_i7-3770_CPU_@_3.40GHz-with-gentoo-2.3
KiB Mem:    16458600 total,   3002420 free
KiB Swap:   17277948 total,   7634456 free
Timestamp of repository gentoo: Wed, 02 Nov 2016 07:15:01 +0000
sh dash 0.5.9.1
ld GNU ld (Gentoo 2.26.1 p1.0) 2.26.1
distcc 3.2rc1 x86_64-pc-linux-gnu [disabled]
ccache version 3.2.7 [disabled]
app-shells/bash:          4.3_p48::gentoo
dev-java/java-config:     2.2.0-r3::gentoo
dev-lang/perl:            5.24.0-r2::gentoo
dev-lang/python:          2.7.12::gentoo, 3.4.5::gentoo, 3.5.2::gentoo
dev-util/ccache:          3.2.7::gentoo
dev-util/cmake:           3.6.2::gentoo
dev-util/pkgconfig:       0.29.1::gentoo
sys-apps/baselayout:      2.3::gentoo
sys-apps/openrc:          0.22.2::gentoo
sys-apps/sandbox:         2.10-r2::gentoo
sys-devel/autoconf:       2.13::gentoo, 2.69-r2::gentoo
sys-devel/automake:       1.11.6-r2::gentoo, 1.12.6-r1::gentoo, 1.13.4-r1::gentoo, 1.14.1-r1::gentoo, 1.15-r2::gentoo
sys-devel/binutils:       2.26.1::gentoo
sys-devel/gcc:            5.4.0::gentoo
sys-devel/gcc-config:     1.8-r1::gentoo
sys-devel/libtool:        2.4.6-r2::gentoo
sys-devel/make:           4.2.1::gentoo
sys-kernel/linux-headers: 4.7::gentoo (virtual/os-headers)
sys-libs/glibc:           2.23-r2::gentoo
Repositories:

gentoo
    location: /usr/portage
    sync-type: rsync
    sync-uri: rsync://rsync.europe.gentoo.org/gentoo-portage
    priority: -1000

eva
    location: /mnt/devel/devel/overlays/eva
    masters: gentoo
    priority: 0

gnome
    location: /mnt/devel/devel/overlays/gnome
    masters: gentoo
    priority: 1

awesome
    location: /var/lib/layman/awesome
    masters: gentoo
    priority: 50

lisp
    location: /var/lib/layman/lisp
    sync-type: git
    sync-uri: git://anongit.gentoo.org/proj/lisp.git
    masters: gentoo
    priority: 50

Installed sets: @devel, @games, @gnome-accessibility, @gnome-desktop, @gstreamer-0.10, @gstreamer-1.0, @i18n, @local, @network, @portage-extras, @printing, @system-extras, @system-extras-phys
ACCEPT_KEYWORDS="amd64 ~amd64"
ACCEPT_LICENSE="* -@EULA Broadcom AdobeFlash-11.x skype-eula Q3AEULA google-chrome"
CBUILD="x86_64-pc-linux-gnu"
CFLAGS="-O2 -march=ivybridge -pipe -g -msse3 -mstackrealign"
CHOST="x86_64-pc-linux-gnu"
CONFIG_PROTECT="/etc /usr/share/gnupg/qualified.txt"
CONFIG_PROTECT_MASK="/etc/ca-certificates.conf /etc/dconf /etc/env.d /etc/fonts/fonts.conf /etc/gconf /etc/gentoo-release /etc/revdep-rebuild /etc/sandbox.d /etc/terminfo /etc/texmf/language.dat.d /etc/texmf/language.def.d /etc/texmf/updmap.d /etc/texmf/web2c"
CXXFLAGS="-O2 -march=ivybridge -pipe -g -msse3 -mstackrealign"
DISTDIR="/var/tmp/portage/distfiles"
FCFLAGS="-O2 -pipe"
FEATURES="assume-digests binpkg-logs config-protect-if-modified distlocks ebuild-locks fixlafiles merge-sync metadata-transfer news parallel-fetch preserve-libs protect-owned sandbox sfperms sign splitdebug strict unknown-features-warn unmerge-logs unmerge-orphans userfetch userpriv usersandbox usersync xattr"
FFLAGS="-O2 -pipe"
GENTOO_MIRRORS="http://distfiles.gentoo.org"
LANG="fr_FR.utf8"
LDFLAGS="-Wl,-O1 -Wl,--as-needed -Wl,-O1,--as-needed,--hash-style=gnu"
MAKEOPTS="-j16 -l6.0"
PKGDIR="/var/tmp/portage/packages"
PORTAGE_BZIP2_COMMAND="/usr/bin/lbzip2"
PORTAGE_CONFIGROOT="/"
PORTAGE_RSYNC_OPTS="--recursive --links --safe-links --perms --times --omit-dir-times --compress --force --whole-file --delete --stats --human-readable --timeout=180 --exclude=/distfiles --exclude=/local --exclude=/packages --exclude=/.git"
PORTAGE_TMPDIR="/var/tmp/portage"
USE="a52 aac acl alsa amd64 audit avahi avx bash-completion berkdb bzip2 caps cdr cli colord consolekit cracklib crypt cryptsetup cups dbus dconf device-mapper dri dvd eds exif flac gdbm geolocation gnome-keyring gnome-online-accounts gphoto2 grilo gstreamer hardened iconv icu introspection iptc ipv6 jit jpeg justify libnotify libsecret lz4 lzma lzo mmx mmxext modules mp3 mtp multilib nautilus ncurses networkmanager nls nptl ntp ogg openmp orc pam pax_kernel pcre pie png policykit pulseaudio raw readline realtime seccomp sendto session socialweb spell sse sse2 sse3 sse4 sse4_1 sse4_2 ssl ssp ssse3 startup-notification systemd tcpd theora threads tracker udev unicode upnp upnp-av upower urandom usb vorbis vpx wayland x264 xattr xinerama xmp xps xtpax xvmc zeitgeist zeroconf zlib" ABI_X86="64" ALSA_CARDS="hda-intel" APACHE2_MODULES="dav dav_fs authn_file auth_basic auth_digest authz_groupfile authz_host dir mime log_config" APACHE2_MPMS="prefork" CALLIGRA_FEATURES="kexi words flow plan sheets stage tables krita karbon braindump author" CAMERAS="ptp2 directory" COLLECTD_PLUGINS="df interface irq load memory rrdtool swap syslog" CPU_FLAGS_X86="aes avx mmx mmxext popcnt sse sse2 sse3 ssse3 sse4_1 sse4_2" ELIBC="glibc" GPSD_PROTOCOLS="ashtech aivdm earthmate evermore fv18 garmin garmintxt gpsclock itrax mtk3301 nmea ntrip navcom oceanserver oldstyle oncore rtcm104v2 rtcm104v3 sirf superstar2 timing tsip tripmate tnt ublox ubx" GRUB_PLATFORMS="efi-64" INPUT_DEVICES="evdev libinput" KERNEL="linux" L10N="en fr ja zh zh-CN" LCD_DEVICES="bayrad cfontz cfontz633 glk hd44780 lb216 lcdm001 mtxorb ncurses text" LIBREOFFICE_EXTENSIONS="presenter-console presenter-minimizer" LINGUAS="en fr ja zh zh_CN" OFFICE_IMPLEMENTATION="libreoffice" PHP_TARGETS="php5-6" PYTHON_SINGLE_TARGET="python2_7" PYTHON_TARGETS="python2_7 python3_4" QEMU_SOFTMMU_TARGETS="x86_64" QEMU_USER_TARGETS="x86_64" RUBY_TARGETS="ruby20 ruby21" USERLAND="GNU" VIDEO_CARDS="intel i915 i965 amdgpu radeon radeonsi" XTABLES_ADDONS="quota2 psd pknock lscan length2 ipv4options ipset ipp2p iface geoip fuzzy condition tee tarpit sysrq steal rawnat logmark ipmark dhcpmac delude chaos account"
Unset:  CC, CPPFLAGS, CTARGET, CXX, EMERGE_DEFAULT_OPTS, INSTALL_MASK, LC_ALL, PORTAGE_BUNZIP2_COMMAND, PORTAGE_COMPRESS, PORTAGE_COMPRESS_FLAGS, PORTAGE_RSYNC_EXTRA_OPTS, USE_PYTHON

=================================================================
                        Package Settings
=================================================================

sys-devel/clang-3.9.0-r100::gentoo was built with the following:
USE="static-analyzer -debug -multitarget -python" ABI_X86="64 -32 -x32" LLVM_TARGETS="AMDGPU BPF NVPTX X86 -AArch64 -ARM -Hexagon -MSP430 -Mips -PowerPC -Sparc -SystemZ -XCore"


sys-devel/llvm-3.9.0-r1::gentoo was built with the following:
USE="clang libffi ncurses sanitize static-analyzer -debug -default-compiler-rt -default-libcxx -doc -gold -libedit (-lldb) -multitarget -ocaml -python -test -xml" ABI_X86="64 -32 -x32" LLVM_TARGETS="AMDGPU BPF NVPTX X86 -AArch64 -ARM -Hexagon -MSP430 -Mips -PowerPC -Sparc -SystemZ -XCore" PYTHON_TARGETS="python2_7"

media-libs/mesa-13.0.0::gentoo was built with the following:
USE="classic dri3 egl gallium gbm gles1 gles2 llvm nptl pax_kernel pic vdpau wayland xa xvmc -bindist -d3d9 -debug -opencl -openmax -osmesa (-selinux) -vaapi -valgrind" ABI_X86="64 -32 -x32" VIDEO_CARDS="i915 i965 intel radeon radeonsi -freedreno -ilo -nouveau -r100 -r200 -r300 -r600 -vc4 -vmware"
Comment 4 Gilles Dartiguelongue gentoo-dev 2016-11-07 08:08:27 UTC
Created attachment 452566 [details]
mutter 3.22.1 build.log
Comment 5 Gilles Dartiguelongue gentoo-dev 2016-11-07 08:13:43 UTC
Finally, an example manual run of one of the failing tests and the crashing Xvfb:

kanae mutter-3.22.1 # Xvfb :1 -screen 0 1280x1024x24 +extension RANDR &
[1] 12454
kanae mutter-3.22.1 # LC_ALL=en_US.UTF-8 DISPLAY=:1 gtester clutter/tests/conform/actor-pick --verbose -k
TEST: clutter/tests/conform/actor-pick... (pid=12500)
  /actor/pick:                                                         **
Clutter-Conform:ERROR:actor-pick.c:306:actor_pick: assertion failed: (state.pass)
FAIL
GTester: last random seed: R02Sedee512029ecc995d2b5e9c5ed25b098
(pid=12525)
: CommandLine Error: Option 'asan-instrument-assembly' registered more than once!
LLVM ERROR: inconsistency in registered CommandLine options

(actor-pick:12525): Clutter-CRITICAL **: Unable to initialize Clutter: Unable to open display ':1'
**
Clutter:ERROR:clutter-test-utils.c:71:clutter_test_init: assertion failed: (clutter_init (NULL, NULL) == CLUTTER_INIT_SUCCESS)
FAIL: clutter/tests/conform/actor-pick
[1]+  Termine 1               Xvfb :1 -screen 0 1280x1024x24 +extension RANDR


Thinking of it now, using a failing tests with both releases is probably not the best demonstration of the problem but it might still give a hint.
Comment 6 Gilles Dartiguelongue gentoo-dev 2016-11-07 08:17:26 UTC
Also I forgot to add that tests passes just fine when using my running X server.

Imho, almost all failures are related to the Xvfb actually crashing, see manual run of a check that passed with clang/llvm 3.8 but not 3.9 in the context of the portage build (so here with clang/llvm 3.9 still):

kanae mutter-3.22.1 # Xvfb :1 -screen 0 1280x1024x24 +extension RANDR &
[1] 12742
kanae mutter-3.22.1 # LC_ALL=en_US.UTF-8 DISPLAY=:1 gtester clutter/tests/conform/actor-graph --verbose -k
TEST: clutter/tests/conform/actor-graph... (pid=12753)
  /actor/graph/add-child:                                              OK
  /actor/graph/insert-child:                                           OK
  /actor/graph/remove-child:                                           OK
  /actor/graph/raise-child:                                            OK
  /actor/graph/lower-child:                                            OK
  /actor/graph/replace-child:                                          OK
  /actor/graph/remove-all:                                             OK
  /actor/graph/container-signals:                                      OK
  /actor/graph/contains:                                               OK
PASS: clutter/tests/conform/actor-graph
kanae mutter-3.22.1 # : CommandLine Error: Option 'asan-instrument-assembly' registered more than once!
LLVM ERROR: inconsistency in registered CommandLine options
Comment 7 Michał Górny archtester Gentoo Infrastructure gentoo-dev Security 2016-11-07 22:00:31 UTC
As noted on IRC, I can't reproduce this with -9999. Of all the tests, only two error out. I don't see any evidence of Xvfb crashing, or LLVM errors you see.

The test errors are due to:

Clutter-Conform:ERROR:actor-pick.c:306:actor_pick: assertion failed: (state.pass)
# Start of actor tests
../../build/autotools/tap-test: line 5:  9765 Przerwane               (core dumped) $1 -k --tap
# Clutter-Conform:ERROR:actor-pick.c:306:actor_pick: assertion failed: (state.pass)

So it's either fixed in -9999 or otherwise non-repo on me. Sadly, I don't have 3.9.0 binpkg anymore, so if you want me to test that, it will take some time.
Comment 8 Matt Turner gentoo-dev 2017-03-30 03:56:02 UTC
Doesn't seem like this is related to x11@. Re-Cc us if you need us.
Comment 9 Gilles Dartiguelongue gentoo-dev 2017-08-31 07:24:39 UTC
iirc after updating mesa, unittests went through. Closing.